Subject: Re: [Monami6] Host with multiple addresses of the same prefix

From: Chan-Wah NG <[email-masked]>
Date: Thu, 13 Jul 2006 01:25:51 +0800

Hello Gabor,

Sorry for dragging out a 2-month mail out ... I was only recently made
aware of this mail ... :p

On Sun, 2006-05-07 at 16:28 +0300, Gábor Fekete wrote:
> Hi Thierry,
> 
> Please, see the inlines too!
> 
> I checked the drafts you pointed me at.
> With regards to draft-ietf-nemo-multihoming-issues-05, I concentrated
> when a MR or a MNN is considered multihomed.
> So, I did not consider the "definition" of multihomed NEMOs in Section 1.
> I found the followings.
> 
> Section 2:
>   "... One thing the reader has to keep
>    in mind is that in each of the following 8 cases, the MR may be
>    multihomed if either (i) multiple prefixes are available (on the home
>    link, or on the visited link), or (ii) the MR is equipped with
>    multiple interfaces. ..."
> So, basically the same as in
> draft-ietf-monami6-multihoming-motivation-scenario.
> 
> Section 2.1:
>   "o  The MR has multiple interfaces and thus its has multiple CoAs;
> 
>    o  Multiple global prefixes are available on the visited link, and
>       thus it has multiple CoAs; or
> 
>    o  Multiple global prefixes are available on the home link, and thus
>       the MR has more than one path to reach the home agent."
> Aren't these 3 points meant to specify when a MR is multihomed?
> If not then I think it should. But then it should be synchronized with
> the above quoted part of Section 2.
> 

Speaking as the Editor,  they are.  But perhaps the order of the text is
not exactly based on the opening text in Sect 2.  I could make a small
editorial change.

> Section 2.1 and others with having a single MNP:
>   "Regarding MNNs, they are (usually) not multihomed since they would
>    configure a single global address from the single MNP available on
>    the link they are attached to."
> It is not clear what "usually" means. Does it mean that they can be
> multihomed even if they have a single MNP? Does it mean an MNN is
> multihomed only if it has multiple interfaces, provided there is a single
> MNP? What about saying:
> "Regarding MNNs, they may or may not be multihomed. See [X] for the
> definition of a multihomed node."

The text simply say the MNN is, under normal circumstaces, not
multihomed if they have only one address.  The term "usually" smply
means there are some rare excpetional cases where they can be considered
multihomed.  I don't see the point of saying "may or may not", its as
good as not saying anything.

> 
> I think that MR multihoming is/should be the same as host multihoming.
> Isn't it so?

Nope.  MR by definition is a router, and a router has by definition
multiple interfaces,  If we used the same definition for host and
routers, then all routers are multi-homed, which serve no purpose.  What
we want is to differentiate the case where a MR only has a single egress
path (eg. interface, tunnel) as opposed to a multihomed MR having
multiple egress paths.

> And host/NEMO multihoming should be defined at one single place and clearly.
> 

> With regards to draft-ietf-monami6-mipv6-analysis-00, it does not mention
> the "multiple CoAs, single prefix, single interface" case either.
> 
> Therefore, my initial question is still open.
> But now I must rephrase it:
> 
> Should a host with multiple addresses with the same prefix on its single
> interface be considered as multihomed?

Yes, IMHO, why not?  There may be mor ethan one exit router on the link.

/rgds
/cwng

> 
> On Friday 05 May 2006 11:45, Thierry Ernst wrote:
> > Dear Gabor,
> >
> > Would you also take a look at
> > http://www.ietf.org/internet-drafts/draft-ietf-monami6-mipv6-analysis-00.tx
> >t (for the MIPv6 case)
> > and
> > http://www.ietf.org/internet-drafts/draft-ietf-nemo-multihoming-issues-05.t
> >xt (for the NEMO case)
> >
> > and check if that answers your concerns ?
> > draft-ietf-monami6-multihoming-motivation-scenario should be taken at a
> > much higer level whereas technical specificities are more (or less ?)
> > explained in the other 2 drafts.
> 
> Which of my concerns/questions do you refer to as technical specific?
> If the definition of multihoming then I must disagree.
> If the multiplecoa question, then I agree, but then I don't understand
> the point of your last sentence :)
> 
> Regards,
> Gabor
> 
> >
> > Thierry.
> >
> > > > 2. Does it make sense?
> > > > 3. draft-ietf-monami6-multihoming-motivation-scenario-00.txt draft
> > > > should
> > > >    mention it at least with one sentence in Section 2.
> > > > 4. How does draft-wakikawa-mobileip-multiplecoa-05.txt handle this case
> > > >    when the MN wants to register multiple bindings with its HoA?
> > > >
> > > > Regards,
> > > > Gabor
> > > >
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6
> 
-- 
Chan-Wah NG <[email-masked]>
Panasonic Singapore Labs

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6